class HistoryModel {
  String? id;
  int? tipeid;
  String? tipe;
  String? noSuratJalan;
  String? nama;
  String? distance;
  String? cdate;
  String? ispending;

  HistoryModel(
      {this.id,
      this.tipeid,
      this.tipe,
      this.noSuratJalan,
      this.nama,
      this.distance,
      this.cdate,
      this.ispending});

  HistoryModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    tipeid = int.parse(json['tipeid']);
    tipe = json['tipe'];
    noSuratJalan = json['no_surat_jalan'];
    nama = json['nama'];
    distance = json['distance'];
    cdate = json['cdate'];
    ispending = json['ispending'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['tipeid'] = this.tipeid;
    data['tipe'] = this.tipe;
    data['no_surat_jalan'] = this.noSuratJalan;
    data['nama'] = this.nama;
    data['distance'] = this.distance;
    data['cdate'] = this.cdate;
    data['ispending'] = this.ispending;
    return data;
  }
}
